/*!
  @file
  @author Shin'ichiro Nakaoka
*/

#include "GRobotBar.h"
#include <boost/bind.hpp>

using namespace boost;
using namespace cnoid;

GRobotBar* GRobotBar::instance()
{
    static GRobotBar* instance = new GRobotBar();
    return instance;
}


GRobotBar::GRobotBar() : ToolBar(tr("GRobotBar"))
{
    addLabel(tr("G-ROBO"));
    addSeparator(2);
    addLabel(tr("Servo"));
    addButton(tr("On"))->sigClicked().connect(bind(ref(sigServoSwitchRequest_), true));
    addButton(tr("Off"))->sigClicked().connect(bind(ref(sigServoSwitchRequest_), false));
    addSeparator(2);
    addLabel(tr("Pose"));
    addButton(tr("Send"))->sigClicked().connect(bind(ref(sigPoseSendRequest_)));
    syncCheck = addToggleButton(tr("Sync"));
    syncCheck->sigToggled().connect(bind(ref(sigSyncModeToggled_),  _1));
}
